# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}
config etc/wpa_supplicant.conf.new

( cd usr/sbin ; rm -rf wpa-cli )
( cd usr/sbin ; ln -sf wpa_cli wpa-cli )
( cd usr/sbin ; rm -rf wpa-supplicant )
( cd usr/sbin ; ln -sf wpa_supplicant wpa-supplicant )
( cd usr/sbin ; rm -rf wpa-passphrase )
( cd usr/sbin ; ln -sf wpa_passphrase wpa-passphrase )
